Package org.eclipse.mat.impl.chart

## Class HtmlPieChartRenderer

- java.lang.Object
- - org.eclipse.mat.impl.chart.HtmlPieChartRenderer

All Implemented Interfaces:
  `IOutputter`

    public class HtmlPieChartRenderer
    extends Object
    implements IOutputter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.report.IOutputter

`IOutputter.Context`

### Constructor Summary

Constructors
`HtmlPieChartRenderer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `embedd​(IOutputter.Context context, IResult result, Writer writer)` Add this result to the output.
`void` `process​(IOutputter.Context context, IResult result, Writer writer)` Write this result to the output, presuming the writer has just been opened.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlPieChartRenderer

    public HtmlPieChartRenderer()

### Method Detail

#### embedd

    public void embedd​(IOutputter.Context context,
                       IResult result,
                       Writer writer)
                throws IOException

Description copied from interface: `IOutputter`
Add this result to the output.

Specified by:
  `embedd` in interface `IOutputter`
Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException` - if something went wrong writing this result

#### process

    public void process​(IOutputter.Context context,
                        IResult result,
                        Writer writer)
                 throws IOException

Description copied from interface: `IOutputter`
Write this result to the output, presuming the writer has just been opened.

Specified by:
  `process` in interface `IOutputter`
Parameters:
  `context` - the context, which controls how the output should be done
  `result` - the result to be formatted
  `writer` - where the formatted output should go
Throws:
  `IOException` - if something went wrong writing this result